
BHP150 | AZD 1222 - Bug #5547

Collection of vaccination details CRF not reflecting for PID 150-040991890-9

25/11/2021 15:21 - Lorato Thamage

Status: Resolved Start date: 25/11/2021

Priority: Urgent Due date:

Assignee: Ame Diphoko % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

History

#1 - 25/11/2021 15:25 - Lorato Thamage

- Priority changed from Normal to Urgent

#2 - 25/11/2021 16:04 - Ame Diphoko

- Status changed from New to Resolved

25/04/2025 1/1


